#!/bin/bash
clear
cat <<EOF
#--------------------------------------------------------------
#	Installing Script For Vagex
#
#		> Script:	 Free
#		> System:	 Debian 6.0 x86  X64
#		> Firefox:	 3.6.28 
#		> Vagex_add_on:	 1.6.2
#		> Adobe flash:	 10
#
#	Update Author: dreamer (yxlgh.com)
#	All rights reserved.
#--------------------------------------------------------------
EOF

read -p  "Input VNC Password:[6~8], [Enter]:" vpd

read -p  "Input Vagexid, [Enter]:" vagexid


rm /etc/localtime
ln -s /usr/share/zoneinfo/UTC /etc/localtime
echo "Etc/UTC">/etc/timezone
echo > /etc/motd
echo > /etc/motd.tail

cat >/etc/resolv.conf<<EOF
nameserver 8.8.8.8
nameserver 8.8.4.4
EOF

apt-get -y remove portmap* httpd* bind9* samba* nscd* sendmail* apache*  iceweasel

apt-get update -y

apt-get install aptitude ttf-wqy-zenhei -y

apt-get install g++ c++ gcc -f -y 

apt-get -q -y --force-yes install jwm vnc4server xterm  mercurial libasound2-dev libcurl4-openssl-dev libnotify-dev libxt-dev libiw-dev mesa-common-dev autoconf2.13 yasm bzip2 libidl-dev zip


serverip=`ifconfig venet0:0 |grep "inet addr"| cut -f 2 -d ":"|cut -f 1 -d " "`

wget http://vagex.com/vagex_add_on-1.6.2.xpi
wget http://cnvagex.googlecode.com/files/account-pub36.zip
wget http://vagex-debian.googlecode.com/files/youtube_video_quality_manager-1.2-fx.xpi
wget http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/17.0/linux-i686/en-US/firefox-17.0.tar.bz2

bzip2 -d firefox*.tar.bz2 
tar -xvf firefox*.tar 
cd mozilla-*
./configure --enable-application=browser && make && make install


apt-get install flashplugin-nonfree -y
#if [`getconf LONG_BIT` = 32] 
#then
	#wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.332/install_flash_player_11_linux.i386.tar.gz
#else
	#wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.332/install_flash_player_11_linux.x86_64.tar.gz
#fi


#tar zxvf install_flash_player*.tar.gz
#mkdir ~/.mozilla/plugins -p
#mv *.so ~/.mozilla/plugins

#unzip account-pub36*.zip -d /root/

echo 'net.ipv6.conf.all.disable_ipv6=1' >> /etc/sysctl.d/disableipv6.conf



touch /etc/init.d/vncserver
cat > /etc/init.d/vncserver<<EOF
### BEGIN INIT INFO
# Provides: vncserver
# Required-Start: \$remote_fs \$syslog
# Required-Stop: \$remote_fs \$syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start daemon at boot time
# Description: Enable service provided by daemon.
### END INIT INFO
PATH="\$PATH:/usr/X11R6/bin/"z
# The Username:Group that will run VNC
export USER="root"
#\${RUNAS}
# The display that VNC will use
DISPLAY="1"
# Color depth (between 8 and 32)
DEPTH="16"
# The Desktop geometry to use.
#GEOMETRY="x"
GEOMETRY="1024x768"
#You Can Choice GEOMETRY="1024x768" && GEOMETRY="1280x1024"
# The name that the VNC Desktop will have.
NAME="Vncserver"
OPTIONS="-name \${NAME} -depth \${DEPTH} -geometry \${GEOMETRY} :\${DISPLAY}"
. /lib/lsb/init-functions
case "\$1" in
start)
su \${USER} -c "/usr/bin/vncserver \${OPTIONS}"
;;
stop)
su \${USER} -c "/usr/bin/vncserver -kill :\${DISPLAY}"
;;
restart)
\$0 stop
\$0 start
;;
esac
exit 0
EOF
chmod +x /etc/init.d/vncserver
update-rc.d vncserver defaults

if [ ! $vpd ]; then 
   vpd=884$RANDOM
fi

(echo $vpd
sleep 1
echo $vpd)|vncserver

/root/firefox/firefox -CreateProfile "local /root/account/local" --display=0:1
vncserver -kill :1

cat >>/root/account/local/prefs.js<<EOF
user_pref("extensions.vagexFF.user_id", "$vagexid");
EOF

cat >>/root/.vnc/xstartup<<EOF
~/firefox/firefox -no-remote -P local  &
EOF

cat >/root/reload.sh<<EOF
#!/bin/bash

pkill firefox
pkill firefox-bin
pkill plugin-containe

rm -rf /root/.vnc/*.log
sleep 10

service vncserver restart
exit
EOF

cat >/root/stop.sh<<EOF
#!/bin/bash
pkill firefox
pkill firefox-bin
pkill plugin-containe
rm -rf /root/.vnc/*.log
EOF

cat >/root/stop.sh<<EOF
#!/bin/sh
count=`ps x|grep ice|wc -l`
vnc=`ps x|grep vncconfig|wc -l`
if [ ${vnc} -gt 1 ]; then
 echo `date`+"  yes,vncserver is working well ...O(_)O~"
else
 echo `date`+"  vncserver is dead, now will restarting ....."
 vncserver -kill :1
 sleep 3s
 vncserver -kill :2
 sleep 3s
 vncserver -kill :3
 sleep  3s
 vncserver
 sleelp 10s
 echo `date`+"  vncserver started....completed  O (_)O~"
fi
if [ ${count} -gt 1 ]; then
 echo `date`+"  yes,firefox is working well ...O(_)O~"
else
 echo `date`+"  firefo is dead, now will restarting ....."
 iceweasel --display=:1
 echo `date`+"firefox started...completed O(_)O~"
fi
rm -rf /root/.vnc/*.log
EOF

#cat >/var/spool/cron/root<<EOF
# @reboot vncserver
#*/30 * * * * rm -rf /root/.vnc/*.log
#*/30 * * * * sh /root/stop.sh
#*/31 * * * * sh /root/reload.sh
#EOF
#crontab -u root /var/spool/cron/root

cat >/var/spool/cron/root<<EOF
@reboot vncserver
*/30 * * * * rm -rf /root/.vnc/*.log
*/30 * * * * sh /root/vgup.sh
EOF
crontab -u root /var/spool/cron/root

vncserver

echo > ~/.bash_history

clear
cat >/root/vagex-install.log<<EOF
#-----------------------------------------------
#  Congratulation! Vagex Install successfully.
#
#	VNC IP:		$serverip:1
#	VNC Password:	$vpd
#       Vgdex ID    :   $vagexid
# Enjoy!
#-----------------------------------------------
EOF

cat /root/vagex-install.log

exit
